import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:plotter/common/ui/pages/home.dart';
import 'package:plotter/common/ui/pages/player.dart';
import 'package:plotter/common/ui/pages/remote_control.dart';

class ActivityPageItem {
  final String code;
  final Icon icon;
  final Widget page;

  const ActivityPageItem({
    required this.code,
    required this.icon,
    required this.page,
  });
}

class ActivityPage {
  static const bool displayBottomNavBar = true;

  static const indexHome = 0;
  static const pageHome = ActivityPageItem(
    code: 'page_home',
    icon: Icon(UniconsLine.home),
    page: PageHome(),
  );

  static const indexPlayer = 1;
  static const pagePlayer = ActivityPageItem(
    code: 'page_player',
    icon: Icon(UniconsLine.star),
    page: PagePlayer(),
  );

  static const indexRemoteControl = 2;
  static const pageRemoteControl = ActivityPageItem(
    code: 'page_remote_control',
    icon: Icon(UniconsLine.star),
    page: PageRemoteControl(),
  );

  static const Map<int, ActivityPageItem> items = {
    indexHome: pageHome,
    indexPlayer: pagePlayer,
    indexRemoteControl: pageRemoteControl,
  };

  static int defaultPageIndex = indexHome;

  static bool isIndexAllowed(int pageIndex) {
    return items.keys.contains(pageIndex);
  }

  static Widget getWidget(int pageIndex) {
    return items[pageIndex]?.page ?? pageHome.page;
  }
}
